/* Misc */
*{
    box-sizing:border-box;
}
@font-face {
    font-family: 'Moon';
    src: url('/font/Moon2.0-Regular.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}
:root{
    --nav-gradient:linear-gradient(to right, #e2c790, #df6d59);
}




/* Layout & Broad Aesthetics */
body{
    /* BG color surrounding content*/
    margin: 0;
    min-height: 100vh;
    background-repeat: no-repeat;
    background: linear-gradient(to bottom, #000000 .1%,#24203b 60%, #816A6A 80%, #d9d9da 100%);
    font-family:Verdana, sans-serif;
    
}

#allContent{
    /*Centering*/
    width:85%;
    height:100%;
    margin:0px auto;
    position:relative;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    
    z-index:1;
    box-shadow: 0px -2px 5px rgba(245,245,245,0.7)
}


/* Snow */
#tsparticles{
    position:fixed;
    width: 100%;
    height:100%;
    z-index:0;
}

/* Header soon-to-be-image and title */
header{
    background:linear-gradient(to top, rgba(245,245,245,.7) 0%, rgba(245,245,245,.01));
    color:#f5f5f5;
    /* Vertical centering */
    display:flex;
    flex-direction:column;
    justify-content:space-around;
    user-select:none;
    
    
}
.borderspace{
    --nav-gradient-width: 100cqw;
    margin: 0 10px;
    border-bottom: 4px solid transparent;
    border-image: var(--nav-gradient);
    border-image-slice:1;
    container-type: inline-size;
}
#headerTitle{
    font-size:2em;
    padding:0 1em;
    font-family: 'Moon';
    margin-top: 1.94em;
}
#headerTitle > h1{
    color:#f5f5f5;
    margin:0.3em;
}

/* Navbar */
nav{
    font-family: 'Moon';
    display: flex;
    flex-wrap:wrap;
    justify-content:center;
    align-items:flex-end;
    line-height:1.5em;
    color: #29293D;
    font-size:2.8em;
    position:relative;
}
nav a{
    text-decoration:none;
    display:block;
    padding:1px 0;
    margin-left:30px;
    margin-right:30px;
    
}
nav a:link, nav a:visited{
    color:#29293D;
    /*background: linear-gradient(to bottom, #e2c790, #df6d59);
    -webkit-text-stroke: 0.03rem #23232e;
    -webkit-background-clip:text;
    background-clip:text;
    -webkit-text-fill-color: transparent;*/
}
nav a:hover{
    text-shadow: 0 0 30px hsl(0, 80%, 60%);
}

/* subnav flex break */
.flexbreak{
    flex-basis: 100%;
    height: 0;
}
/* subnav elements */
.subnav .subnavBtn{
    font-family: 'Moon';
    display: flex;
    justify-content:center;
    align-items:flex-end;
    height:inherit;
    line-height:1.5em;
    color: #29293D;
    font-size:inherit;
    border: none;
    background:transparent;
    padding:1px 0;
    margin-left: 30px;
    margin-right: 30px;
    overflow:visible;
}

.subnavContent{
    display:none; /* currently visible for debugging. Will be none later */
    position:absolute;
    top: 100%;
    font-family: 'Moon';
    font-size: 0.5em;
    background-image:var(--nav-gradient);
    background-size: var(--nav-gradient-width);
    height:auto;
    line-height:normal;
    overflow:visible;
    margin-left:25px;
    text-align:center;
}
.subnavBtn:hover{
    text-shadow: 0 0 30px #db8181;
}
.subnavContent > a:hover{
    text-shadow:none;
}
.subnavContent a:link, .subnavContent a:visited{
    color:#29293D;
}
.subnav:hover .subnavContent, .subnavContent:hover{ /* On parent button hover/click */
    display:flex;
    flex-direction:column;
}


/* Main Body */
#content{
    padding:10px;
    background-color:rgba(245,245,245,.7);
    margin-top:0;
    margin-bottom:0;
}
#twocol_content{
    padding:10px;
    background-color:rgba(245,245,245,.7);
    margin-top:0;
    margin-bottom:0;
    display:flex;
}

p{
    color:#29293D;
}
h1{
    color:#29293D;
}
h2{
    border-bottom:1px solid #29293D;
    font-size:1.33em;
    color:#29293D;
}
h3{
    color:#f5f5f5;
    background:linear-gradient(to right, #816A6A 03%, #24203b 30%, rgba(41,41,61, 0) 95%);
    padding:7px 28px 7px 10px;
    border-radius:6px;
}
h4{
    color: #29293D;
}
a:link{
    color:#5d539a;
}
a:visited{
    color:#575068;
}
#content a:link:hover, #primary a:link:hover{
    background: linear-gradient(to bottom, hsl(248, 20%, 65%) 30%, hsl(249, 60%, 40%));
    -webkit-background-clip:text;
    background-clip:text;
    -webkit-text-fill-color: transparent;

}
#sidebar{
    padding: 1%;
    display:flex;
    flex-direction:column;
    flex-shrink: 0;
    border-right: 2px solid transparent;
    border-image: linear-gradient(to bottom, #e2c790, #df6d59);
    border-image-slice:1;
    width:20%;
    justify-content:flex-start;
    align-items:center;
    text-align:center;
}
#sidebar_content{
    position: sticky;
    top: 20px;
    height: 100%;
    
}
#sidebar_content > img{ /* For the sidebar icon */
    max-width:100%;
    height: auto;
    border: 2px solid #979797
}
#primary{
    padding: 0 0 0 1%;
    width:100%;
}



/* Footer */
footer{
    background: linear-gradient(to bottom, #545454 5%, #212121 50%);
    color:#f5f5f5;
    padding:10px;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    margin-bottom:1em;
}
footer a, footer a:link, footer a:visited, footer a:link:hover{
    color:#f5f5f5;  
}

/* Mobile-friendlitization */
@media screen and (max-width: 1001px) {
    #allContent{
        width:95%;
    }
    #headerTitle{
        margin-bottom:1em;
    }
    #headerTitle > h1{
        font-size:1.5em;
        text-align:center;
    }
    #twocol_content{
        flex-direction:column;
        padding-top:50px;
    }
    #sidebar{
        width:unset;
        border-right:none;
        border-bottom: 4px solid transparent;
        border-image:linear-gradient(to right, #e2c790, #df6d59);
        border-image-slice: 1;
    }
    #sidebar img{
        max-width:60%;
    }
    nav{
        flex-wrap: nowrap;
    }
    nav a, .subnav .subnavBtn{
        font-size:0.7em;
        line-height:normal;
        margin-left:10px;
        margin-right:10px;
    }
    .subnavContent{
        font-size:0.65em;
        height:auto;
        margin-left:8.333px;
        overflow:hidden;
    }
    
}